import subprocess
import sys
import time

plot = subprocess.Popen('/usr/bin/gnuplot', stdin=subprocess.PIPE, stdout=subprocess.PIPE )

# plot.stdin.write(b'set term x11\n') 
plot.stdin.write(b'set term qt\n') 
plot.stdin.write(b'set xrange[-10:10]\n')
plot.stdin.write(b'set yrange[-10:10]\n')
plot.stdin.write(b'unset key\n')
plot.stdin.write(b'set parametric\n')
plot.stdin.write(b'x(t) = 8*sin(t)\n')
plot.stdin.write(b'y(t) = 8*cos(t)\n')
plot.stdin.write(b'set trange[0:pi]\n')
plot.stdin.write(b'set size ratio -1\n')
plot.stdin.write(b'plot x(t), y(t) w l lw 2\n')
plot.stdin.write(b'pause -1\n')
plot.stdin.flush()

delta = 'pi/18' 
i=0
try: 
	while 1 :
		# a = raw_input()
		# if a == 'n' :
		v = str(i)+'*'+delta 
		plot.stdin.write(b'\n')
		# plot.stdin.write(b'set trange[0:'+v+']\n')
		linea='set trange[0:'+v+']\n'
		b = linea.encode('ascii')
		print( b )
		plot.stdin.write( b )
		plot.stdin.write(b'rep\n')
		plot.stdin.flush()
		i=i+1
		time.sleep(0.2)
		if i==37 :
			i=0

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
